summaryrefslogtreecommitdiffstats
path: root/target/linux/x86/base-files
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2007-09-06 16:27:37 +0000
committerFelix Fietkau <nbd@openwrt.org>2007-09-06 16:27:37 +0000
commit56231056ea784f1cec6450f649b1adaed1f56366 (patch)
tree7b130d72d854cde2bcd3af8b11bd0f7be3dbff6a /target/linux/x86/base-files
parente1184aaa1a7a5e5eeef8e072bf0ea98c291be22a (diff)
downloadmaster-31e0f0ae-56231056ea784f1cec6450f649b1adaed1f56366.tar.gz
master-31e0f0ae-56231056ea784f1cec6450f649b1adaed1f56366.tar.bz2
master-31e0f0ae-56231056ea784f1cec6450f649b1adaed1f56366.zip
strip the kernel version suffix from target directories, except for brcm-2.4 (the -2.4 will be included in the board name here). CONFIG_LINUX_<ver>_<board> becomes CONFIG_TARGET_<board>, same for profiles.
SVN-Revision: 8653
Diffstat (limited to 'target/linux/x86/base-files')
-rw-r--r--target/linux/x86/base-files/default/etc/preinit.arch2
-rw-r--r--target/linux/x86/base-files/default/lib/upgrade/platform.sh27
2 files changed, 29 insertions, 0 deletions
diff --git a/target/linux/x86/base-files/default/etc/preinit.arch b/target/linux/x86/base-files/default/etc/preinit.arch
new file mode 100644
index 0000000000..f29f0d448b
--- /dev/null
+++ b/target/linux/x86/base-files/default/etc/preinit.arch
@@ -0,0 +1,2 @@
+mount -t proc none /proc
+grep 'failsafe=' /proc/cmdline && export FAILSAFE=true
diff --git a/target/linux/x86/base-files/default/lib/upgrade/platform.sh b/target/linux/x86/base-files/default/lib/upgrade/platform.sh
new file mode 100644
index 0000000000..ffd0b93ab4
--- /dev/null
+++ b/target/linux/x86/base-files/default/lib/upgrade/platform.sh
@@ -0,0 +1,27 @@
+platform_check_image() {
+ [ "$ARGC" -gt 1 ] && return 1
+
+ case "$(get_magic_word "$1")" in
+ 48eb) return 0;;
+ *)
+ echo "Invalid image type"
+ return 1
+ ;;
+ esac
+}
+
+platform_do_upgrade() {
+ get_image "$1" > /dev/hda
+ sync
+}
+
+x86_prepare_ext2() {
+ # if we're running from ext2, we need to make sure that we have a mtd
+ # partition that points to the active rootfs partition.
+ # however this only matters if we actually need to preserve the config files
+ [ "$SAVE_CONFIG" -eq 1 ] && return 0
+ grep rootfs /proc/mtd >/dev/null || {
+ echo /dev/hda2,65536,rootfs > /sys/module/block2mtd/parameters/block2mtd
+ }
+}
+append sysupgrade_pre_upgrade x86_prepare_ext2